<script src="./assets/editor.js"></script>

  <div class="card-header fixed-top "  >
    <div class="brand">
      <img src="./assets/c.png"  width="100">
    </div>
  <div class="navitem">
    <ul>
      <li><a   role="button"><i class="fa-solid fa-rotate-left"></i>

        undo
      </a>
      <i class="fa-solid fa-overline"></i>
      <a  role="button" onclick="rotateImage()" hidden>Rotate</a>

    </li>
      <li>
        <a  role="button" >
          <i class="fa-solid fa-rotate-right" ></i>
          redo
        </a>
      </li>

      <li>
        <a  role="button">
          <i class="fa-solid fa-layer-group"></i>
          position

              <div class="card" style="background:white ; padding-left:0%;overflow:scroll">

              <i class="fa-solid fa-angle-up" style="margin-left:100px; font-size:20px"></i>

              <ul>
                <li>
                 <strong>Layering</strong>
                </li>

                <li>
                  <a role="button" (click)="tofront()">toFront
                                    </a>
                </li>
                <li>
                  <a role="button" (click)="toback()">toBack</a>
                </li>
                  <hr>
                <li>
              <strong>
                position
              </strong>
                </li>

                <li>
                  Left

                </li>
                <li>
                  Right
                </li>
                <li>
                  <a (click)="centerObject()" role="button">center</a>

                </li>
                <li>
                  <a role="button" (click)="flip(false,true)">flipY</a>
                </li>
                <li>
                  <a role="button" (click)="flip(true,false)">FlipX</a>
                </li>
                <li hidden><strong>Rotation</strong></li>

              </ul>

            </div>

        </a>
      </li>

      <li>
        <a  role="button">
          <i class="fa-solid fa-unlock"></i>
          lock
        </a>
      </li>
      <li>
        <a  role="button">
          <i class="fa-solid fa-clone" (click)="duplicate()"></i>
          clone
        </a>
      </li>
      <li>
        <a  role="button" (click)="remove()">
          <i class="fa-solid fa-trash-can"></i>
          trash
        </a>
      </li>
      <li>
        <input type="color" name="color" id="color" (input)="getcolor($event)">
      </li>
      <li>
        <a  role="button">
          <i class="fa-solid fa-font"></i>

          <div class="card" style="background:white ; padding-left:0%;overflow:scroll">
            <i class="fa-solid fa-angle-up" style="margin-left:100px; font-size:20px"></i>

            <ul>
              <li>
               <strong>Fonts</strong>
              </li>
              <li *ngFor="let item of fonts" (click)="font(item)">
                {{item.name}}
              </li>


            </ul>

          </div>
        </a>
      </li>
      <li>
        <a role="button" (click)="italic()">
          <i class="fa-solid fa-italic"></i>
        </a>
      </li>
      <li>
        <a role="button" (click)="bold()">
          <i class="fa-solid fa-bold"></i>
        </a>
      </li>

      <li>
        <i class="fa-solid fa-underline" (click)="undeline()"></i>
      </li>
      <li>
        <i class="fa-solid fa-strikethrough" (click)="lineThrought()"></i>
      </li>

      <li>
        <a role="button" onclick="groupAll()">
          <i class="fa-solid fa-object-group"></i>
        </a>
      </li>
      <li>
        <a role="button" onclick="ungroupAll()">
          <i class="fa-solid fa-object-ungroup"></i>
        </a>

      </li>
      <li hidden><a href="" >Download
        <div class="card" style="background:white; padding-left:0%;overflow:scroll">
            <i class="fa-solid fa-angle-up" style="margin-left:100px; font-size:20px"></i>
            <ul>
              <li hidden>
               <strong hidden>
                <a role="" style="width:80px ;" onclick="getUri()">
                        PDF
                </a></strong>
              </li>
              <li  role="button">


                  PDF
              </li>
              <li>
                PPT
            </li>
            <li>
                JPG
            </li>
            <li>
                PNG
            </li>


            </ul>

          </div>
      </a>




    </li>
      <li>
        <a href=""><i class="fa-solid fa-square-share-nodes"></i>Share</a>
      </li>

      <li>
        <a (click)="sendUri()" role="button"><i class="fa-solid fa-floppy-disk"></i>Save</a>
      </li>
    </ul>

  </div>


  </div>

   <div class="wrapper">
    <div class="sidebar">
      <ul>
        <li>
          <a role="button" id="temp" onclick="showtemp()">
            <i class="fa-brands fa-product-hunt fa-2x"></i>
            Templates
          </a>
          </li>
        <li>
         <a role="button" id="_text" onclick="showText()">
          <i class='bx bx-text' style="font-size:30px"></i>

          Text
         </a>
        </li>
        <li>
         <a role="button"  id="photo_id" onclick="showPhoto()">
          <i class="fa-solid fa-images fa-2x"></i>
          Photo
         </a>
        </li>
        <li>
          <a role="button" od="shape_id" onclick="showShapes()">
            <i class="fa-solid fa-shapes fa-2x"></i>
          elements
          </a>
        </li>

        <li >
          <a role="button" id="upload__id" onclick="showUpload()">
            <i class="fa-solid fa-arrow-up-from-bracket fa-2x"></i>
            Upload
          </a>

        </li>

        <li>
    <a role="button" onclick="showBack(event)" id="back_id">
      <i class="fa-solid fa-border-none fa-2x"></i>
      Background
    </a>
        </li>
        <li hidden>
          <a role="button" onclick="layer()"  id="layer_id">
            <i class="fa-solid fa-layer-group fa-2x"></i>
            Layers
          </a>
        </li>
        <li>
           <a role="button"  id="resize_id" onclick="showResize()">
            <i class="fa-solid fa-arrows-up-down-left-right fa-2x" ></i>
            Resize
           </a>
        </li>
      </ul>
    </div>

     <div class="menu-wrapper">
       <div class="search">
        <input type="text" name="search" id="search" placeholder="search"><i class="fa-solid fa-magnifying-glass" style="color:white ;" role="button"></i>
       </div>

       <div class="close-wrapper" hidden  role="button">
       <i class="fa-solid fa-xmark"></i>
       </div>
   <div class="row" hidden id="upload_id">



   </div>




   <div class="row" hidden id="templt">
    <div class="card" *ngFor="let item of photo">
      <img src="{{item}}" alt="" (click)="setPhoto(item)" role="button">
     </div>
   </div>

  <div class="row" id="photo">
  <div class="card" *ngFor="let item of photo">
   <img src="{{item}}" alt="" (click)="setPhoto(item)" role="button">
  </div>

     </div>

     <div class="row" id="back" hidden>
       <div class="card" *ngFor="let item of back">
         <img src="{{item}}" (click)="setBackgroundImage(item)" alt="" role="button">
       </div>

     </div>

     <div  hidden id="text" class="row">


        <div class="row">

        <div class="card-body">
          <div class="row">
            <label for="singletext">single-line Text</label>
            <input type="text" name="singletext"  id="singletext" [(ngModel)]="singleText" (input)="InputChange(false)">
            <a  class="btn" (click)="addSinglLineText(singleText)" style=" background: #223662; color:aliceblue">OK</a>

            <label for="multi-linetext">Multi-line Text </label>
            <textarea name="multi-linetext" id="" cols="30" rows="6" [(ngModel)]="multilineText"  (input)="InputChange(true)"></textarea>
            <a (click)="addMLineText(multilineText)"  class="btn " style=" background: #223662; color:aliceblue">OK</a>

          </div>
          <div class="row" >
            <label for="cured-text" >Curved Text </label>
            <input type="text" name="curved_text"  id="curved-text" [(ngModel)]="curved_text">
            <a  class="btn" (click)="textOnpath(curved_text)" style=" background: #223662; color:aliceblue">OK</a>

         <!--
   <label for="flipY">Flip</label>
            <input type="checkbox" name="flip" id="flip">
            <label for="diameter">Diameter</label>
            <input type="range" name="diameter" id="diameter" [(ngModel)]="dima" min="35" (input)="setDiameter()">

            <label for="kernel">Spacing</label>
            <input type="range" name="kernel" id="kernel" [(ngModel)]="kernning" (input)="setKernning()">



         -->
          </div>


      </div>



        </div>



     </div>
        <div class="row" id="shape" hidden>
          <div class="card" *ngFor="let item of shapes">
            <img src="{{item}}" (click)="setPhoto(item)" alt="" role="button">
          </div>
    </div>


     <div class="row" style="margin-top: 30px;" id="resize" hidden>

        <div class="row">

        <div class="card-body">
          <div class="row">
            <label for="width">Width: <span>{{_width}}</span></label>
            <input type="number" name="width"  id="width" [(ngModel)]="_width">
            <label for="height">Height <span>{{_height}}</span></label>
            <input type="number" name="height"  id="height" [(ngModel)]="_height">

            <a (click)="setDim()" class="btn " style=" background: #223662; color:aliceblue">OK</a>

          </div>

          <div class="row">
            <label for="border">Border-radius: <span>{{_border}}</span></label>
            <input type="number" name="border"  id="border" [(ngModel)]="_border">
            <a (click)="setBorder()" class="btn " style=" background: #223662; color:aliceblue">OK</a>

            <label for="_clipath">Clipath radius: <span>{{_clipath_radius}}</span></label>
            <input type="number" name="clipath"  id="_clipath" [(ngModel)]="_clipath_radius">

            <a (click)="setClipath()" class="btn " style=" background: #223662; color:aliceblue">OK</a>

          </div>

          <div class="row">
            <label for="left">Right: <span>{{_left}}</span></label>
            <input type="range" name="left" min="80" max="500"  id="left" [(ngModel)]="_left" (input)="setTop()">
            <label for="top">Down: <span>{{_top}}</span></label>
            <input type="range" name="top" min="8" max="400"  id="top" [(ngModel)]="_top" (input)="setTop()">
          </div>

      </div>



        </div>



     </div>
     </div>


     <div class="page" id="page-1">
       <div class="menu-page" id="menu-page">
        <a class="clone-page" role="button" (click)="clonePage($event)"><i class="fa-solid fa-clone" ></i></a>

        <span class="add-page"hidden role="button" onclick="addPge(event)"><i class="fa-solid fa-plus"></i></span>
        <br>
        <span hidden class="trash-page" role="button" onclick="removePage(event)">
          <i class="fa-solid fa-trash-can"></i>
       </span>
       </div>
       <canvas id="1"></canvas>

       <img src="{{Uri}}" onload="getPixels(this)"  height="300" width="300" id="image" class="image" style="margin-left: 100px; ">

      <div class="down-side-menu" hidden>
        <ul>
          <li><a role="button"><i class="fa-solid fa-magnifying-glass-minus"></i></a></li>
          <li>35%</li>
          <li><a role="button"><i class="fa-solid fa-magnifying-glass-plus"></i></a></li>
        </ul>
      </div>
     </div>


     <div class="pager">

        <div class="close-wrapper" hidden style="background: white ; width:50px;text-align:center;margin-top:5px" role="button">
         <i class="fa-solid fa-xmark" style="color: red;"></i>

        </div>
        <ul id="page-list" hidden>
          <li>
           <div class="card" style="margin-left:0px ; padding-left:0px" role="button" id="1-page" >
            <div class="card-title" role="button" id="1-pages" onclick="getCurrentPage(event)"> page-1</div>
           </div>
          </li>



        </ul>



      </div>

      </div>



